Summary: graphical debugger front-end; GDB, DBX, Ladebug, JDB, Perl, Python
Name: ddd
Version: 3.3
Release: 1
Group: Development/Debuggers
Copyright: GPL
Url: http://www.gnu.org/software/ddd/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/ddd/ddd-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
DDD is a graphical front-end for command-line debuggers such as GDB,
DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, or the Python
debugger.  Besides ``usual'' front-end features such as viewing source
texts, DDD has become famous through its interactive graphical data
display, where data structures are displayed as graphs.

This package is statically linked against OSF/Motif 2.1.30.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr
make LIBXM="-Wl,-Bstatic -lXm -Wl,-Bdynamic" MAKE="make -j2"
gzip doc/*.ps


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%post
/sbin/install-info /usr/info/ddd.info.gz     /usr/info/dir
/sbin/install-info /usr/info/ddd-themes.info /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/ddd.info.gz        /usr/info/dir
    /sbin/install-info --delete /usr/info/ddd-themes.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS BUGS COPYING* CREDITS INSTALL NEWS* 
%doc NICKNAMES OPENBUGS PROBLEMS README* TIPS TODO
%doc doc
/usr/bin/*
/usr/info/*
/usr/man/man*/*
/usr/share/*


%clean
rm -rf $RPM_BUILD_ROOT

